Package org.eclipse.cdt.core.dom.ast

# Interface IFunctionType

All Superinterfaces:
  `Cloneable`, `IType`

All Known Subinterfaces:
  `ICPPFunctionType`

public interface IFunctionType extends IType

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

## Method Summary

Modifier and Type
Method
Description
`IType[]`
`getParameterTypes()`
Returns the adjusted parameter types ISO C99 6.7.5.3, ISO C++98 8.3.4-3
`IType`
`getReturnType()`
Returns the return type of this function type
`boolean`
`takesVarArgs()`
Whether the function type takes variable number of arguments.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

## Method Details

### getReturnType

IType getReturnType()
Returns the return type of this function type

### getParameterTypes

IType[] getParameterTypes()
Returns the adjusted parameter types ISO C99 6.7.5.3, ISO C++98 8.3.4-3

### takesVarArgs

boolean takesVarArgs()
Whether the function type takes variable number of arguments.

Since:
  5.10